## spml-fftw2-lapack-ifc9 0.4.2

=== doc/Makefile ===
# Makefile for spmodel library document

# include ../Config.mk

HTMLDIR=../html

LATEX=platex
DVIPDFM=dvipdfmx
MKDIR=mkdir
INSTALL=cp
CPP=cpp

RDOC=/GFD_Dennou_Club/ftp/arch/dcmodel/bin/rdoc
RDOCOPT=--ignore-case --charset euc-jp --inline-source -o html/references
RDOCLIB=/GFD_Dennou_Club/ftp/arch/dcmodel/lib/ruby/1.8

HTML=index.htm ae_module.htm at_module.htm ee_module.htm eigmatrix.htm \
	esc_module.htm et_module.htm lumatrix.htm \
	w_module.htm wa_module.htm wt_module.htm

PDF=cheb_gal.pdf

all:$(HTML) $(PDF) 

install: 
	-$(MKDIR) ../html
	$(INSTALL) $(HTML) $(PDF) $(HTMLDIR)/
	cd ../src/ ; $(CPP) -P -D LAPACK eigmatrix.g90 > eigmatrix.f90
	cd .. ; RUBYLIB=$(RDOCLIB) $(RDOC) $(RDOCOPT) src/*.f90
	rm ../src/eigmatrix.f90

clean:
	-rm -f *~ *.bak *.dvi *.aux *.log *.pdf

.SUFFIXES: .tex .pdf

.tex.pdf:
	$(LATEX) $<
	$(LATEX) $<
	$(DVIPDFM) $*.dvi

=== src/Makefile ===
# Makefile for spmpdel library

include ../Config.mk

TARGET=lib$(LIBNAME).a

EIGENOBJS=
MATRIXOBJS=

ifeq ($(MATRIXLIB),SSL2)
	EIGENOBJS=ssl2_eigen.o indexx.o
	MATRIXOBJS=eigmatrix.o $(EIGENOBJS)
endif
ifeq ($(MATRIXLIB),LAPACK)
	EIGENOBJS=lapack_eigen.o indexx.o
	MATRIXOBJS=eigmatrix.o $(EIGENOBJS)
endif


all: $(TARGET)

install: $(TARGET)
	test -d $(DEST_LIB) || install -d $(DEST_LIB)
	test -d $(DEST_INC) || install -d $(DEST_INC)
	install -m 644 $(TARGET) $(DEST_LIB)
	install -m 644 $(MODS) $(MODINCS) $(DEST_INC)
	if [ X$(F90MODTYPE) = X"intel.d" ]; then \
		install -m 644 work.pc $(DEST_INC)/work.pc ;\
	fi


OBJS =	lumatrix_f77.o lumatrix.o \
	ae_module.o at_module.o ee_module.o esc_module.o c2ajcc.o \
	et_module.o \
	w_base_module.o w_integral_module.o w_deriv_module.o \
	w_spectrum_module.o  w_module.o \
	wa_base_module.o wa_integral_module.o wa_deriv_module.o \
	wa_spectrum_module.o wa_module.o \
	wt_module.o \
	at_ab_galerkin_ND.o at_ad_galerkin_DD.o at_af_galerkin_MM.o     \
	at_ah_galerkin_MMex.o at_ap_galerkin_DN.o at_aq_galerkin_RRSS.o \
	at_av_galerkin_NN.o et_galerkin_module.o wt_galerkin_module.o   \
	$(MATRIXOBJS)

$(TARGET): $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@

$(OBJS): work.pcl

work.pcl: Makefile ../Config.mk
	sh ../chkpcl.sh $(FFLAGS) $(SYSFFLAGS)

clean:
	-rm -f $(MODS) *.o work.pc* *~ *.bak *.a eigmatrix.f90

# dependences

at_module.o: lumatrix.o

et_module.o: ae_module.o at_module.o lumatrix.o

w_integral_module.o: w_base_module.o
w_deriv_module.o: w_base_module.o
w_spectrum_module.o: w_base_module.o
w_module.o: w_spectrum_module.o w_integral_module.o \
	    w_deriv_module.o w_base_module.o 
wa_spectrum_module.o: w_base_module.o
wa_base_module.o: w_base_module.o
wa_integral_module.o: w_base_module.o
wa_deriv_module.o: wa_base_module.o w_base_module.o w_deriv_module.o
wa_module.o: wa_base_module.o w_base_module.o \
             wa_integral_module.o w_integral_module.o \
             wa_deriv_module.o w_deriv_module.o \
	     wa_spectrum_module.o w_spectrum_module.o

wt_module.o: wa_module.o at_module.o lumatrix.o

at_ab_galerkin_ND.o:at_module.o
at_ad_galerkin_DD.o:at_module.o
at_af_galerkin_MM.o:at_module.o
at_ah_galerkin_MMex.o:at_module.o
at_ap_galerkin_DN.o:at_module.o
at_aq_galerkin_RRSS.o:at_module.o
at_av_galerkin_NN.o:at_module.o
et_galerkin_module.o:et_module.o \
	at_ab_galerkin_ND.o at_ad_galerkin_DD.o at_af_galerkin_MM.o     \
	at_ah_galerkin_MMex.o at_ap_galerkin_DN.o at_aq_galerkin_RRSS.o \
	at_av_galerkin_NN.o
wt_galerkin_module.o:wt_module.o \
	at_ab_galerkin_ND.o at_ad_galerkin_DD.o at_af_galerkin_MM.o     \
	at_ah_galerkin_MMex.o at_ap_galerkin_DN.o at_aq_galerkin_RRSS.o \
	at_av_galerkin_NN.o

eigmatrix.f90: eigmatrix.g90
	$(CPP) -P -D $(MATRIXLIB) $< > $@

eigmatrix.o: $(EIGENOBJS)

ssl2_eigen.o: indexx.o
lapack_eigen.o: indexx.o

## spml-fftw2-lapack-ifc9 0.4.0-2

=== debian/changelog ===
spml-fftw2-lapack-ifc9 (0.4.0-2) unstable; urgency=low

  * ee_EnergyFromStremfunc_ee and ee_EnstrophyFromStremfunc_ee are added to
    ee_module.

 -- Masuo Nakano <masuo@geo.kyushu-u.ac.jp>  Mon, 30 Jan 2006 13:52:47 +0900

spml-fftw2-ifc8.1 (0.4.0-1) unstable; urgency=low

  * Initial release for new version. 
  * ee_module uses p2pack instead of n2pack.
  * OpneMP setup is implemented in w_module, wa_module and wt_module.

 -- Shin-ichi Takehiro <takepiro@gfd-dennou.org>  Mon, 18 Jul 2005 16:49:41 +0900

spml (0.3.0-11) unstable; urgency=low

  * The test directory rearranged by creating subdirectories. 

 -- Shin-ichi Takehiro <takepiro@gfd-dennou.org>  Mon, 18 Jul 2005 10:19:57 +0900

spml (0.3.0-10) unstable; urgency=low

  * module names in wa_spectrum_module and w_spectrum_module are shortend
    in order to satisfy function name lenghth restriction of Fotran95. 

 -- Shin-ichi Takehiro <takepiro@gfd-dennou.org>  Mon, 16 May 2005 09:29:00 +0900

spml (0.3.0-9) unstable; urgency=low

  * wa_spectrum_module and w_spectrum_module are added.
  * functions for energy spectrum calculation are added to wt_module.

 -- Shin-ichi Takehiro <takepiro@gfd-dennou.org>  Sun, 24 Apr 2005 10:41:31 +0900

spml (0.3.0-8) unstable; urgency=low

  * Integral and average functions z_IntLon_xz, x_IntRad_xz, IntLonRad_xz, z_InRad_xz, y_IntRad_yz, IntLatRad_yz, IntRad_z, z_IntLon_xz, x_IntRad_xz, IntLonRad_xz, z_InRad_xz, y_IntRad_yz, IntLatRad_yz, and IntRad_z are added. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon, 21 Mar 2005 11:21:09 +0900

spml (0.3.0-7) unstable; urgency=low

  * Integral and average functions are added to wt_module.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri, 18 Mar 2005 11:23:28 +0900

spml (0.3.0-6) unstable; urgency=low

  * suffix "xy" is changed to "yx" in ee_module, esc_module and et_module.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Tue, 15 Mar 2005 17:24:53 +0900

spml (0.3.0-5) unstable; urgency=low

  * l_nm returns 1-dim array when input variables n or m is an array (w_base_module).
  * nm_l returns 2-dim array when input variable l is an array (w_base_module).

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sun, 13 Mar 2005 21:09:32 +0900

spml (0.3.0-4) unstable; urgency=low

  * wt_TorBoundariesTau and wt_TorBoundariesGrid in wt_module can specify velocity fields at spherical boundaries.
  * Module variables xy_Lon and xy_Lat are added to wt_module.
  * Package name extention is changed. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sun, 20 Feb 2005 10:59:21 +0900

spml (0.3.0-3) unstable; urgency=low

  * New module "eigmatrix" for solving an eigenvalue problem is added. 
  * The postinst and prerm scripts are generated from spml-postinst-gen.sh and spml-prerm-gen.sh, respectively. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Tue,  1 Feb 2005 17:40:04 +0900

spml (0.3.0-2) unstable; urgency=low

  * Functions for rotation field are added to wt_module. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Thu, 20 Jan 2005 17:03:28 +0900

spml (0.3.0-1) unstable; urgency=low

  * Initial Release for non-DCL package.
  * library name changed from libspmodel.a to libspml.a
  * MessageNotify of dc_message module in gt4f90io is used insted of msgdmp in DCL. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon, 10 Jan 2005 11:13:25 +0900

spml (0.2.2-1) unstable; urgency=low

  * Initial release.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue, 27 Jan 2004 14:28:06 +0900

spml (0.2.1-1) unstable; urgency=low

  * Initial release.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Mon, 26 Jan 2004 19:36:26 +0900

spml (0.1-10) unstable; urgency=low

  * Intel Fortran Compiler ver.8 support.       
  * Fujitsu Fortran Compiler ver.4 support. 
       
 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 14 Jan 2004 22:17:54+0900
	
  * Intel Fortran Compiler ver.7 support. 
  * Package for Fujitsu Fortran Compiler ver.3 separated. 

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Wed,  8 Jan 2003 19:11:36 +0900

spml (0.1-9) unstable; urgency=low

  * wt_Potential2Rotation is added to wt_module. 

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Fri, 29 Nov 2002 00:53:46 +0900

spml (0.1-8) unstable; urgency=low

  * wt_LaplaPol2Pol_wt added to wt_module.  

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Sun, 24 Nov 2002 17:51:59 +0900

spml (0.1-7) unstable; urgency=low

  * at_BoundariesGrid_* added to at_module.
  * *_BoundariesGrid routines are added to wt_module.
  * wt_module.htm and at_module.htm updated. 

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Wed, 20 Nov 2002 00:39:26 +0900

spml (0.1-6) unstable; urgency=low

  * Derivatives for lambda-mu coordinate are added to w_module and wa_module. 

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Tue,  8 Oct 2002 13:13:27 +0900

spml (0.1-5) unstable; urgency=low

  * Gaussian weight in w_base_module bug fix.
  * Radial weight in wt_module changed for integration, r^2 dr. 

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Thu,  5 Sep 2002 14:18:10 +0900

spml (0.1-4) unstable; urgency=low

  * wtboundaries -> wt_boundaires in wt_module.
  * y_, ya_, yt_ modules removed. 

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Sat, 24 Aug 2002 22:55:21 +0900

spml (0.1-3) unstable; urgency=low

  * gg -> xy in ee, esc, et modules.
  * Functions for integration and average are added to ee, esc, ae, at, and et modules.
  * Reference documents are added.

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Thu, 22 Aug 2002 23:08:50 +0900

spml (0.1-2) unstable; urgency=low

  * wt_Tormagboundaries added to wt_module. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri,  9 Aug 2002 12:23:10 +0900

spml (0.1-1) unstable; urgency=low

  * Initial release.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed,  7 Aug 2002 10:12:09 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: spml-fftw2-lapack-ifc9
Section: math
Priority: optional
Maintainer: ODAKA Masatsugu <odakker@odakker.gfd-dennou.org>
Build-Depends: debhelper, fftw-no2underscore
Standards-Version: 3.2.1

Package: spml-fftw2-lapack-ifc9
Architecture: any
Depends: ${shlibs:Depends}, netcdf-ifc9, ispack-ifc9(>=0.71), gt4f90io-ifc9(>=20041226-1), fftw-no2underscore (>=2.0)
Suggests: ifc(>=9)
Description: SPML (a SPectral Model Library) is a Fortran90 module library 
 for constructing spectral models for fundamental geophysical fluid dynamic 
 problems. Fortran90 modules of this library are based on ISPACK 
 (http://www.gfd-dennou.org/arch/ispack), which is also library for spectral 
 models but written in Fortran77. This package provides module binary files 
 built with Intel Fortran compiler ver.9. ee_module uses p2pack/ISAPCK and 
 fftw2 library. GFD-Dennu Club spmodel project web site is 
 http://www.gfd-dennou.org/arch/spmodel.

Package: spml-doc
Architecture: all
Description: Documents of SPML Fortran90 library for spectral models. 
 SPML (a SPectral Model Library) is a Fortran90 module library 
 for constructing spectral models for fundamental geophysical fluid dynamic 
 problems. GFD-Dennu Club spmodel project web site is http://www.gfd-dennou.org/arch/spmodel.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

######################################################################
# Select MATRIXLIB for eigenvalue problem library subroutine. 
#
#   for SSL II 
#
#export MATRIX=ssl2-
#WITHMATRIX=--with-ssl2=/usr/FFC/lib/libssl2.a
#export LDFLAGS=  	# ssl2 $B$@$1$G(B OK
#export LDLIBS=		# ssl2 $B$@$1$G(B OK

#
#   for LAPACK
#
export MATRIX=lapack-
WITHMATRIX=--with-lapack=/usr/lib/liblapack.a
#export LDFLAGS=-L/usr/lib/gcc-lib/i386-linux/2.95.4  	# for LAPACK
#export LDFLAGS=-L/usr/lib/gcc-lib/i486-linux/3.3.5  	# for LAPACK
#export LDLIBS=-lblas -lg2c -lgcc			# for LAPACK
#export LDLIBS=-lblas-2 -lg2c -lgcc			# for LAPACK

#
#   not using eigenvalue problem routines
#
#export MATRIX=
#WITHMATRIX=
#export LDFLAGS=
#export LDLIBS=

######################################################################
# Select FFTW library 
#
FFTW=fftw2-
WITHFFTW=--with-fftw=/usr/lib/libfftw-no2underscore.a --with-rfftw=/usr/lib/librfftw-no2underscore.a
#FFTW=
#WITHFFTW=

######################################################################
# Select PRIORITY for the update-altenatives command. 
# This parameter is used for automatic generation of *.postinst script.
#
#export PRIORITY=10
#export PRIORITY=20
#export PRIORITY=30
export PRIORITY=40
#export PRIORITY=50

######################################################################
# Select EXT and FC variables before building the package 
#
#    for Fujitsu Fortran Compiler
#
#export EXT=ffc
#export EXT=ffc3
#export EXT=ffc4
#export EXT=ffc5

#export FC=frt

#export FFLAGS=-O
#export FFLAGS=-Kfast
#export FFLAGS=-Kfast -v95d,95o,95s

#
#    for Intel Fortran Compiler
#
#export EXT=ifc
#export EXT=ifc6
#export EXT=ifc7
#export EXT=ifc7.1
#export EXT=ifc8
#export EXT=ifc8.1
export EXT=ifc9

#export FC=ifc
export FC=ifort

#export FFLAGS=-fast

export PACKAGEEXT=$(FFTW)$(MATRIX)$(EXT)
package=spml-$(PACKAGEEXT)
docpackage=spml-doc

build:
	$(checkdir)
#	cp debian/control.$(PACKAGEEXT) debian/control
	(cd debian ; sh ./spml-postinst-gen.sh ; sh ./spml-prerm-gen.sh)
	./configure --with-ispack=/usr/lib/libisp-$(FFTW)$(EXT).a --with-netcdf=/usr/lib/libnetcdf-$(EXT).a --with-gt4f90io=/usr/lib/gt4f90io-$(EXT)/lib/libgt4f90io.a $(WITHMATRIX) $(WITHFFTW) --prefix=/usr/lib/spml-$(PACKAGEEXT)
	$(MAKE) 
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) distclean
	-rm -f `find . -name "*~"`
	-rm -f `find . -name "*.bak"`
	-rm -rf debian/tmp debian/tmp-doc debian/files* core debian/substvars
	-rm -rf debian/*.debhelper
	-rm -rf debian/*.postinst
	-rm -rf debian/*.prerm

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.
#	install -d debian/tmp-doc/usr/share/doc/spml-doc/
	dh_installdocs -p$(docpackage) -Pdebian/tmp-doc doc demo MEMO README
	dh_installchangelogs -p$(docpackage) -Pdebian/tmp-doc CHANGELOG 
	dh_installdeb -p$(docpackage) -Pdebian/tmp-doc
	dpkg-gencontrol -isp -p$(docpackage) -Pdebian/tmp-doc
	chown -R root.root debian/tmp-doc
	chmod -R go=rX debian/tmp-doc
	dpkg --build debian/tmp-doc ..

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	dh_link usr/lib/$(package)/bin/spmfrt   usr/bin/spmfrt.$(PACKAGEEXT)
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	#debstd 
	dh_installdocs -p$(package) -Pdebian/tmp 
	dh_strip -p$(package) -Pdebian/tmp
	dh_compress -p$(package) -Pdebian/tmp
	dh_fixperms -p$(package) -Pdebian/tmp
	dh_installdeb -p$(package) -Pdebian/tmp
	dpkg-gencontrol -isp -p$(package) -Pdebian/tmp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-arch binary-indep 

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
